import std.stdio;

void main()
{
    string str = "Hall\u00E5, V\u00E4rld!";

    foreach (c; str)
    {
        write('[', c, ']');
    }

    writeln();

    foreach (dchar c; str)
    {
        write('[', c, ']');
    }

    writeln();
}
